Subject: Re: Bash 2.01 build problems
From: [email-masked] (Earnie Boyd)

26 Sep 1997 12:40:21 -0700
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked], [email-masked]

>Date: Fri, 26 Sep 1997 10:09:18 -0700
>To: [email-masked]
>From: Guy Gascoigne - Piggford <[email-masked]>
>Subject: Bash 2.01 build problems
>
>I'm attempting to build bash running with the b18 build as distributed 
from
>cygnus.  I get the following error when attempting the build.
>
>rm -f builtext.h builtins.c
>./mkbuiltins -externfile builtext.h -structfile builtins.c \
>-noproduction -D . ./alias.def ./bind.def ./break.def ./builtin.def
>./cd.def ./colon.def ./command.def ./declare.def ./echo.def 
../enable.def
>./eval.def ./getopts.def ./exec.def ./exit.def ./fc.def ./fg_bg.def
>./hash.def ./help.def ./history.def ./jobs.def ./kill.def ./let.def
>./read.def ./return.def ./set.def ./setattr.def ./shift.def 
../source.def
>./suspend.def ./test.def ./times.def ./trap.def ./type.def ./ulimit.def
>./umask.def ./wait.def ./reserved.def ./pushd.def ./shopt.def
>./alias.def: Permission denied
>make: *** [builtext.h] Error 2
>make: *** [builtins/builtext.h] Error 1
>
>Configure ran without hitch, but I can't seem to get rid of this 
Permission
>denied error.  Any suggestions?
>
>BTW I did try to build this using the Coolview version of bash et al, 
but I
>got the following error and had to fall back on the older bash.
>
>$ ./configure
>./configure: re: command not found
>./configure: line 1049: syntax error near unexpected token `"(c'
>./configure: line 1049: `  echo $ac_n "(cached) $ac_c" 1>&6'
>
>Guy
>
>-

Guy,

It is probably the binary vs !binary in your mount table.  I have built 
with success the bash-2.01 source in both NT 3.51 and 95.  I have all 
mount points as binary.  I've ignored the Permission Denied messages.  I 
too am using out-of-the-box B18. I had previously install ed the 
ncurses_1.9.9g library first.

In order to build bash you will need to:

   add to config.h.top the follow:
      #define _POSIX_VERSION 1

   modify sig.c where it uses SIGPROF with the preprocessor commands:
      #ifdef SIGPROF
         ...
      #endif
   SIGPROF is used twice in sig.c

   you will need to do:
      support/mkversion.sh -d 2.01 -p 0 > version.h

I believe this is all if not the rest is trivial.

If you need to remount your directories as binary, the easiest way to 
convert the files is to remove them and use:

      gzip -cd bash-2_01_tar.gz | tar -xv

Note, you may get the Permission Denied errors from tar also.

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".